# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

bvar_cpp <- function(Y, X, M, T, K, draws, burnin, thin, tvp_keep, intercept, priorIntercept, PHI0, priorPHI_in, priorSigma_in, Rstartvals_in, i_mat, i_vec, progressbar, PHI_tol, L_tol, huge) {
    .Call(`_bayesianVARs_bvar_cpp`, Y, X, M, T, K, draws, burnin, thin, tvp_keep, intercept, priorIntercept, PHI0, priorPHI_in, priorSigma_in, Rstartvals_in, i_mat, i_vec, progressbar, PHI_tol, L_tol, huge)
}

#' Draw from generalized inverse Gaussian
#'
#' Vectorized version of \code{\link[GIGrvg]{rgig}}
#'
#' @param n A single integer indicating the number of draws to generate.
#' @param lambda vector of shape parameters.
#' @param chi vector of shape/scale parameters. Must be nonnegative for positive lambdas and positive else.
#' @param psi vector of shape/scale parameters. Must be nonnegative for negative lambdas and positive else.
#'
#' @return Matrix of dimension `c(n,m)`, where `m` is the maximum length of `lambda`, `psi` and `chi`.
#' @export
#'
#' @examples
#' gigsamples <- my_gig(2, c(1,1), c(1,1), c(1,1))
my_gig <- function(n, lambda, chi, psi) {
    .Call(`_bayesianVARs_my_gig`, n, lambda, chi, psi)
}

sample_PHI_cholesky <- function(PHI, PHI_prior, Y, X, U, d_sqrt, V_prior) {
    .Call(`_bayesianVARs_sample_PHI_cholesky`, PHI, PHI_prior, Y, X, U, d_sqrt, V_prior)
}

dmvnrm_arma_fast <- function(x, mean, sigma, logd = FALSE) {
    .Call(`_bayesianVARs_dmvnrm_arma_fast`, x, mean, sigma, logd)
}

predh <- function(logvar_T, ahead, each, sv_mu, sv_phi, sv_sigma) {
    .Call(`_bayesianVARs_predh`, logvar_T, ahead, each, sv_mu, sv_phi, sv_sigma)
}

out_of_sample <- function(each, X_T_plus_1, PHI, U, facload, logvar_T, ahead, sv_mu, sv_phi, sv_sigma, sv_indicator, factor, LPL, Y_obs, LPL_subset, VoI, simulate_predictive) {
    .Call(`_bayesianVARs_out_of_sample`, each, X_T_plus_1, PHI, U, facload, logvar_T, ahead, sv_mu, sv_phi, sv_sigma, sv_indicator, factor, LPL, Y_obs, LPL_subset, VoI, simulate_predictive)
}

insample <- function(X, PHI, U, facload, logvar, prediction, factor) {
    .Call(`_bayesianVARs_insample`, X, PHI, U, facload, logvar, prediction, factor)
}

vcov_cpp <- function(factor, facload, logvar, U, M, factors) {
    .Call(`_bayesianVARs_vcov_cpp`, factor, facload, logvar, U, M, factors)
}

